commit b968f81b743f8e3c91737a21528626108b3578fc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 25 18:13:52 2013 +0000

    Release Clutter 1.14.0

 NEWS         | 25 +++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 27 insertions(+), 2 deletions(-)

commit 37f0fba0a6e12676a6688e5e6cb4c479d1a2604a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 25 17:57:28 2013 +0000

    Fix compilers warnings when debugging is disabled

 clutter/clutter-script-parser.c   |  4 ----
 clutter/clutter-stage.c           | 17 ++++++++---------
 clutter/x11/clutter-backend-x11.c |  7 +++----
 clutter/x11/clutter-stage-x11.c   |  5 ++++-
 4 files changed, 15 insertions(+), 18 deletions(-)

commit 75e32e8ae0f87d25ad669b81e17d6a2fb2560f82
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 25 17:39:06 2013 +0000

    Bump the requirement for Cogl to its stable release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17730453fb13a45f60bbf257c264f276f3bbe163
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Mon Mar 25 15:10:27 2013 +0530

    hindi translation by chandan kumar

 po/hi.po | 696 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------------
 1 file changed, 325 insertions(+), 371 deletions(-)

commit 5bbd4be30b7073304bad96c1a026818bb951f251
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Mar 21 09:50:57 2013 +0200

    Updated Latvian translation

 po/lv.po | 543 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 272 insertions(+), 271 deletions(-)

commit d0335c603d686cc1452ed1762a28ee6c6a8b48fb
Author: Ján Kyselica <kyselica.jan@gmail.com>
Date:   Tue Mar 19 23:34:03 2013 +0100

    Added slovak translation

 po/sk.po | 3130 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 3130 insertions(+)

commit 19d6ebb7fc9e4511d7de9320b99fb6a59a042f52
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Tue Mar 19 22:28:43 2013 +0100

    [l10n] Added Tadjik translation

 po/tg.po | 2741 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2741 insertions(+)

commit da0025bfcae6d6ef6790989a6536a98f97c13da7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 18 22:03:28 2013 -0300

    Post-release version bump to 1.13.11

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c1c3bf3528b1d2b7ba80e5b6ca1f201755674cf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 18 21:54:20 2013 -0300

    Release Clutter 1.13.10

 NEWS         | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 README.in    | 14 ++++++++++++++
 configure.ac |  2 +-
 3 files changed, 66 insertions(+), 1 deletion(-)

commit e7453d6bc6501db0c943c7bf40b66db7dfd0ded5
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sun Mar 17 03:19:02 2013 +0000

    actor: fix translation-z setting
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695982

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6e5d99e3e68d7f52d081af1fc034b25be9473e72
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun Mar 17 20:07:43 2013 +0100

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 676 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------------------------------------
 1 file changed, 338 insertions(+), 338 deletions(-)

commit 3b05936cc4c8c959c40285e5d459e2b5bf5147e8
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Mar 17 14:57:59 2013 +0100

    Updated Danish translation

 po/da.po | 700 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 350 insertions(+), 350 deletions(-)

commit 305616afe2d01c4014bbe9640043633c74dd7075
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Fri Mar 15 14:36:13 2013 +0000

    Updated Portuguese translation and converted to New Spelling (Novo AO)

 po/pt.po | 1012 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 509 insertions(+), 503 deletions(-)

commit fefde1b8e364c8269475fd37c3a3b15924cf8d84
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 14 19:01:31 2013 -0300

    Revert "actor: Skip transitions on invisible actors"
    
    It's far too late in the 1.13 cycle to cause changes in existing code.
    
    This reverts commit 0d65f9461ee2a02cf400e5d8aa40c07eca43cf7c.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695870

 clutter/clutter-actor.c | 52 ++++++++++++----------------------------------------
 1 file changed, 12 insertions(+), 40 deletions(-)

commit c8f34d448a52405b756535ca1cd7da42803cee11
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 14 12:31:52 2013 +0100

    clutter: Prefer the X11 backend to the Wayland one
    
    If clutter is built with both X11 and Wayland support, prefer the
    (more complete for now) X11 backend. This matches GTK+'s current
    ordering.
    
    This allows distributions to ship a clutter version with both backends
    built, and using an envvar to switch to the wayland backend and test
    applications.
    
    In the future, applications would be able to choose which backend
    they prefer and in which order.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695838

 clutter/clutter-main.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 0d65f9461ee2a02cf400e5d8aa40c07eca43cf7c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 19:33:59 2013 +0000

    actor: Skip transitions on invisible actors
    
    If an actor has not been painted yet, or it's not going to be painted,
    we can ignore transitions queued on it.
    
    By ignoring transitions on actors that have not been painted yet, we can
    avoid doing work during the set up phase of the scene graph, as well as
    avoiding actors "flying in" from nowhere.
    
    Obviously, we have to take into account potential clones, so we need to
    check that the actor is not part of a cloned branch of the scene graph,
    as well as checking if the actor has mapped clones.

 clutter/clutter-actor.c | 52 ++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 40 insertions(+), 12 deletions(-)

commit a557930798e90ca690219e8ea2230f3e40164c66
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 19:10:55 2013 +0000

    actor: Propagate the cloned state to the children
    
    If we clone a container, we still want redraws queued on the children to
    be propagated.

 clutter/clutter-actor.c | 38 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 37 insertions(+), 1 deletion(-)

commit e796886841282eb79bec51a238806361a93c1e07
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 18:20:48 2013 +0000

    actor: Ignore redraws queued on unmapped actors
    
    If an actor is unmapped then it won't be painted, so we can safely
    short-circuit out of _clutter_actor_queue_redraw_full() if the mapped
    flag is not set.
    
    We need, on the other hand, make an exception for Clones, otherwise
    they won't receive notification that the source actor has changed
    and they won't be painted.
    
    This allows us to ignore redraws queued on children of invisible
    parents, and avoid traversing the scene graph.

 clutter/clutter-actor.c | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 51 insertions(+), 16 deletions(-)

commit f8c129ae8189845c4163908f947ad9252b611314
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 18:09:33 2013 +0000

    actor: Keep track of clones
    
    Instead of using signal notifications, we should be able to keep track
    of the clones of an actor from within ClutterActor itself, using private
    API. There's no point in pretending that people can actually create a
    Clone class out of tree, given the amount of invariants we have to punch
    through in order to implement a proper replicator node of the scene
    graph, so we can just skip the signal emissions and just do the right
    thing at the right time.

 clutter/clutter-actor-private.h |  7 +++++++
 clutter/clutter-actor.c         | 80 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 clutter/clutter-clone.c         | 30 +++++-------------------------
 3 files changed, 91 insertions(+), 26 deletions(-)

commit 3e53c1ff73f6566359e6fe037ca1f3162299af03
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 18:35:55 2013 +0000

    actor: Clean up internal add/remove functions
    
    More comments are warranted: these functions are pretty much full of
    potential side effects, and I'd really like to avoid keeping everything
    in my head forever.
    
    Along with the comments and the type casting reduction, I sneaked in a
    one line change that is clearly correct after reading the flow of the
    whole thing: we queue only a relayout after three potential redraws have
    been queued. If we manage to miss a redraw and yet still get a relayout
    then it means that most of our assumptions are fundamentally wrong, and
    that we ought to dump this whole business of computer programming, and
    just go back to being a hunter-gatherer species.

 clutter/clutter-actor.c | 48 +++++++++++++++++++++++++++++++-----------------
 1 file changed, 31 insertions(+), 17 deletions(-)

commit 84e5bdd87117f81ce3eee3ddb9727b67f1441532
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Mar 8 15:24:50 2013 +0000

    actor: Clean up ::show and ::hide class handlers
    
    The main body of the function should not live inside an 'if' block.

 clutter/clutter-actor.c | 81 +++++++++++++++++++++++++++++++++++++++++----------------------------------------
 1 file changed, 41 insertions(+), 40 deletions(-)

commit 09f4d5dbc410b71249213a158357f7175ab64f03
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Mar 8 15:57:26 2013 +0000

    examples/layout-manager: Remove unnecessary easing state save
    
    The actors in the layout are already set up with a non-default easing
    state, we can use that.

 examples/layout-manager.c | 4 ----
 1 file changed, 4 deletions(-)

commit f94c00a438189c052cfbe9641cc67805ae512eee
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Mar 8 04:27:57 2013 +0000

    examples/layout-manager: Improve the example
    
    Add an explicit transition, and more comments.

 examples/layout-manager.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit acd09a3d5f14ebbb12267a2b37d987510d2048bf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 11:23:39 2013 +0000

    Clean up the Actor private header
    
    Reading it is getting painful.

 clutter/clutter-actor-private.h | 154 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------------------
 1 file changed, 77 insertions(+), 77 deletions(-)

commit 79be2fde47bc3dd840734ab54a30b287de036e09
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Mar 8 15:35:21 2013 +0000

    build: Disable debugging code in stable releases
    
    Pretty much what GLib and GTK+ do, and the 1.x cycle has gone on for a
    while, now.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 31066944334ffb35b4fe429c21a53c44baf90628
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Mar 13 16:00:14 2013 -0300

    symbols: Add missing symbol

 clutter/clutter.symbols | 1 +
 1 file changed, 1 insertion(+)

commit 27f83addd2d24ed99d9203ac1d01d6d82ebef888
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Mar 13 15:46:16 2013 -0300

    docs: Add missing symbol to the list

 doc/reference/clutter/clutter-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 1c1c4f26af7391f87b6396347a54ca7c42d6bf89
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Fri Mar 1 10:58:54 2013 +0100

    Add method clutter_disable_accessibility ()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691468

 clutter/clutter-main.c | 23 +++++++++++++++++++++++
 clutter/clutter-main.h |  3 +++
 2 files changed, 26 insertions(+)

commit 11d82d1e0ca1d2a1b4a96b9e9c576bd42a6e2c82
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Tue Mar 12 16:25:23 2013 +0530

    Assamese translation updated for gnome 3.8

 po/as.po | 699 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 353 insertions(+), 346 deletions(-)

commit 66d24394c5db978f0009eb99f8232d8c2fd8195c
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Mar 11 12:44:21 2013 +0700

    Updated Indonesian translation

 po/id.po | 597 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 299 insertions(+), 298 deletions(-)

commit 0c01f32e3d457468077e59b809f088b3d52f1280
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun Mar 10 23:50:08 2013 +0100

    [l10] Updated Catalan translation

 po/ca.po | 668 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 334 insertions(+), 334 deletions(-)

commit a9616dba2acf9c053ec69d79f2cb6e0ca3b29436
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 8 12:29:25 2013 +0800

    Update Visual Studio Projects/Property Sheets
    
    Replace ClutterApiVersion with ApiVersion, to be consistent with the other
    GNOME projects of the Clutter/GTK+ stack.  Also add directives in the
    property sheets that we can later use to build the introspection files for
    Clutter from the Visual Studio IDE.

 build/win32/vs10/clutter.props     | 368 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------
 build/win32/vs10/clutter.vcxprojin |  16 ++++-----
 build/win32/vs9/clutter.vcprojin   |  16 ++++-----
 build/win32/vs9/clutter.vsprops    | 351 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------
 4 files changed, 398 insertions(+), 353 deletions(-)

commit a4102e9aa2776c75d30a56726c1ad47ee7e502d8
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Mar 8 12:02:56 2013 +0800

    Update clutter/config.h.win32.in
    
    Make the entries here reflect on the newer entries requested by the
    onfig.h.in template in the autotools builds, and also make items supported
    by MinGW builds reflected here as well.

 clutter/config.h.win32.in | 66 +++++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 41 insertions(+), 25 deletions(-)

commit c55acf7e7d51a7672e775da3ab25a86617426a6b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Mar 7 15:06:49 2013 +0000

    docs: Add 1.14 symbols index
    
    Forgot to add it after the version bump.

 doc/reference/clutter/clutter-docs.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit df3e74a94a3025935f25fd57f1924691f1de02cf
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Thu Mar 7 14:51:40 2013 +0300

    Updated Belarusian translation.

 po/be.po | 642 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 321 insertions(+), 321 deletions(-)

commit 4c1dc28382232e0f57e1c2f69ca7079fbb99ca81
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Thu Mar 7 20:38:22 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 648 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 324 insertions(+), 324 deletions(-)

commit ab274364381e68c87486cf0e5f9293fd0c40daf9
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Mar 5 01:06:03 2013 -0500

    event: Use gunichar when dealing with unicode characters
    
    This makes introspection return the keycode as a string, rather
    than an integer.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695188

 clutter/clutter-event.c | 4 ++--
 clutter/clutter-event.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 7702893711348eac5484fb8f1b06575c15e9fe9b
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Mar 6 01:30:52 2013 +0100

    x11/xi2: Factor the XKB group state in to fill events' modifier_state
    
    Otherwise XkbTranslateKeyCode() won't yeld the correct keysyms when
    group > 1.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695260

 clutter/x11/clutter-device-manager-xi2.c | 20 +++++++++++++-------
 clutter/x11/clutter-input-device-xi2.c   |  6 +++++-
 clutter/x11/clutter-input-device-xi2.h   |  3 ++-
 3 files changed, 20 insertions(+), 9 deletions(-)

commit 678c78b1c07e0800a3330f790e7004e8a82a84ce
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Mar 5 16:48:35 2013 +0800

    Update Visual Studio Property Sheets
    
    -Remove some unwanted (repeated) cruft in the "install" stage
    -Adjust to the added and deprecated headers for the "install" stage

 build/win32/vs10/clutter.props  | 51 +++++++++++++++++++++++++++++----------------------
 build/win32/vs9/clutter.vsprops | 29 ++++++++++++++++-------------
 2 files changed, 45 insertions(+), 35 deletions(-)

commit 909c312084d1e7a2866f23edf8127c1964079b5c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 5 00:48:11 2013 +0000

    actor: Revert the Transition/Actor leak fix
    
    The original code inside ClutterActor that dealt with Transitions
    stopping was written for the ::completed signal, thus the code was
    correctly handling the lifetime of the instances; when we moved to the
    ::stopped signal, we assumed that it worked in the same way - with less
    conditions to be checked, obviously, but fundamentally similar to the
    ::completed signal. Sadly, I screwed up the signal definition, and the
    signal ended up calling our handlers, but not the default one that did
    the cleanup and released references on the Animatable instance.
    
    After fixing the Timeline::stopped signal, we can go back to the
    previous code.
    
    Thanks to Craig Hughes for the help in tracking down this mess.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695158

 clutter/clutter-actor.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 8700b19e6fe88e35723effb254e9769cf1776b8f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 5 00:46:45 2013 +0000

    timeline: Use the right function pointer offset
    
    A copy and paste thinko: the ::stopped signal is using the
    ClutterTimelineClass.completed slot instead of the .stopped one,
    thus preventing sub-classes of ClutterTimeline from overriding the
    signal's default closure.

 clutter/clutter-timeline.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b6744491e03eec1983f68a0971a52ae410fc0d25
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 5 00:21:31 2013 +0000

    Post-release version bump to 1.13.9

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8de3e42a10b30b659e2a2ce4a9366d28411e14e2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 5 00:05:10 2013 +0000

    Release Clutter 1.13.8

 NEWS         | 36 ++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 37 insertions(+), 1 deletion(-)

commit 2fdb950f3b077928b02e64964e2287d5ec9525b0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Mar 5 00:04:32 2013 +0000

    build: Dist the cookbook
    
    So that we can publish it starting from the tarballs.

 doc/cookbook/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 72bdc939aab8d651de975af82f51ea6b00e8df37
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 4 23:17:06 2013 +0000

    Bump minimum required version of Cogl to 1.13.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 50507668c9deff5476f938c26f230a54bfa78742
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 4 22:43:22 2013 +0000

    actor: Release a reference on the implicit Transitions
    
    When stopping the transition we need to release the reference we
    maintain while removing the Transition from the hash table inside an
    actor. If we fail to do so, the Transition is never released, which
    means we leak the Animatable instance we tied to it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695158

 clutter/clutter-actor.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit db5cfe4e0cb6d3d836828e812296b027d4b14dcc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Mar 4 13:02:44 2013 +0000

    text: Clean up the set_font_description_internal() semantics
    
    The current semantics are ridiculous, and clearly a case of (mistaken)
    premature optimization. All setters should copy, not transfer ownership.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695119

 clutter/clutter-text.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit f6f151ed0739f8090d78ef7f5cfd6a951ba8d100
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Nov 28 09:47:44 2012 +0000

    docs: Clean up the documentation for the allocate() methods
    
    The wording could be better, especially on the side effects and the
    honoured state.

 clutter/clutter-actor.c | 28 +++++++++++++++++++++-------
 1 file changed, 21 insertions(+), 7 deletions(-)

commit 2049e4e359027870c9a2b89036095d745a992662
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Dec 24 09:04:09 2012 +0000

    docs: Clean up the wording of a couple of comments

 clutter/clutter-actor.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 38095c06e58746ec2c036302f506b664c071e63f
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Sun Mar 3 21:20:24 2013 +0100

    [l10n] Updated German translation

 po/de.po | 541 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 268 insertions(+), 273 deletions(-)

commit 7a3367b3df79ffdbc2c7ea35f463b4713dbfb566
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Fri Mar 1 22:13:37 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 592 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 po/zh_TW.po | 590 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 2 files changed, 593 insertions(+), 589 deletions(-)

commit 5c2931a2f0f7f3299843cd8e5c757137f50cc072
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Feb 22 00:31:34 2013 +0100

    x11/clutter-keymap-x11: Honor XkbNewKeyboardNotify events
    
    We already select for XkbNewKeyboardNotify events but are not acting
    on them. Start doing so.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694267

 clutter/x11/clutter-keymap-x11.c | 1 +
 1 file changed, 1 insertion(+)

commit b1bdbb00b56741463286d0bd09a399a5a6c1929f
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Feb 22 21:54:31 2013 +0100

    Updated Czech translation

 po/cs.po | 640 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 320 insertions(+), 320 deletions(-)

commit 7ef97ae051e8479a0e66553da38e65d86c714c51
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 21 00:37:58 2013 +0000

    Fix compiler warnings by initializing variables

 clutter/clutter-actor.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ee3e08a47ea36801a944d3e545c9429fc356b72c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Jan 30 11:49:38 2013 +1100

    wayland: Only include Wayland headers in private
    
    As wayland-client.h and wayland-server.h can't be included together,
    split the Wayland backend file into clutter-backend-wayland.h, which
    only defines the types, and clutter-backend-wayland-priv.h, which
    actually uses the Wayland client types.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692851

 clutter/Makefile.am                              |  1 +
 clutter/wayland/clutter-backend-wayland-priv.h   | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/wayland/clutter-backend-wayland.c        |  1 +
 clutter/wayland/clutter-backend-wayland.h        | 28 ----------------------------
 clutter/wayland/clutter-device-manager-wayland.c |  1 +
 clutter/wayland/clutter-input-device-wayland.c   |  1 +
 clutter/wayland/clutter-stage-wayland.c          |  1 +
 7 files changed, 72 insertions(+), 28 deletions(-)

commit a011890bb62b519a939e62a3154266e5046534c2
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Jan 30 11:47:52 2013 +1100

    wayland-compositor: Don't use Wayland types in public API
    
    The definition of wl_display differs between Wayland clients and
    servers, and it's unsafe to include both wayland-client.h and
    wayland-server.h at the same time.  Fudge around this by making the
    compositor public API use void * rather than struct wl_display *.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692851

 clutter/clutter-backend.c                    | 2 +-
 clutter/wayland/clutter-wayland-compositor.h | 5 +----
 2 files changed, 2 insertions(+), 5 deletions(-)

commit f528ff5b970e9aba5141266b5af75046143baf51
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 20 22:14:46 2013 +0000

    timeline: Add progress-based marker API
    
    Being able to set a marker at a normalized point on a timeline, instead
    of using a specific time, is a nice fit with the current Timeline class
    API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694319

 clutter/clutter-timeline.c                   | 146 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------
 clutter/clutter-timeline.h                   |   4 ++++
 clutter/clutter.symbols                      |   1 +
 doc/reference/clutter/clutter-sections.txt   |   1 +
 tests/conform/timeline.c                     |   8 +++++---
 tests/data/test-script-timeline-markers.json |   3 ++-
 6 files changed, 133 insertions(+), 30 deletions(-)

commit 619a7e9ab04705f9141f0512c66912760433b97d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 20 23:02:05 2013 +0000

    scroll-actor: Use :child-transform
    
    Instead of using a custom apply_transform(), paint(), and pick()
    implementations, we can simply apply a transformation to the children of
    a ScrollActor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686225

 clutter/clutter-scroll-actor.c | 103 ++++++++++++++++---------------------------------------------------------------------------------------
 1 file changed, 16 insertions(+), 87 deletions(-)

commit 6515ff8b6791ff865a6e04dc92c18524860ee375
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 21 00:28:26 2013 +0000

    Post-release version bump to 1.13.7

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb8f7c8110d97f3a44bf0e5e9a22641327d853bb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 21 00:10:08 2013 +0000

    Release Clutter 1.13.6

 NEWS         | 45 +++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 46 insertions(+), 1 deletion(-)

commit 052660c76b91eee625156e9032888399e2afb795
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Feb 19 22:15:52 2013 -0500

    actor: Fix clutter_actor_allocate_align_fill for partially-filled actors
    
    If we pass TRUE for x_align and FALSE for y_align, the full available
    width should be passed to clutter_get_preferred_height, and the same
    should be true in the other dimension.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694237

 clutter/clutter-actor.c | 46 +++++++++++++++++++++-------------------------
 1 file changed, 21 insertions(+), 25 deletions(-)

commit b0dfbec7a6a11f22a5c357633d5f9c3ef8c5d3f0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 21 00:08:37 2013 +0000

    conform: Skip mipmap Cogl test
    
    It's currently failing, and breaking distcheck.
    
    Needs bisecting on Cogl, given that nothing changed on the Clutter side
    between this commit and 1.13.4, but we should just aim at not having
    Cogl unit tests in Clutter at all.

 tests/conform/test-conform-main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 38a9e8a9e52be8d02d3bff5de6a70fda53e4d5ff
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 20 23:45:18 2013 +0000

    docs: Update symbols list

 doc/reference/clutter/clutter-sections.txt | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 38627bed72bf969dd0d926d49e1f650e93e54621
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Feb 20 23:30:21 2013 +0000

    cally: Use AktObject::get_name()
    
    Instead of directly accessing the instance fields. This removes a
    compiler warning after the constification of g_get_prgname(), and it
    seems to me to be generally more correct.

 clutter/cally/cally-root.c | 33 ++++++++++++++++++++-------------
 1 file changed, 20 insertions(+), 13 deletions(-)

commit e8aae45eb98cbfabc790f7e6d99bfe04d3fc4c67
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Mon Nov 5 14:41:36 2012 +0000

    cogl: Don't use cogl_xlib_set_diplay()
    
    This function is deprecated and has been replaced by set_display() on
    the renderer. This is done in the get_renderer() vfunc of both the x11
    and gdk backends already.
    
    Actually cogl_xlib_set_diplay() is now a no-op and can be safely removed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=687652

 clutter/gdk/clutter-backend-gdk.c | 9 ---------
 clutter/x11/clutter-backend-x11.c | 4 ----
 2 files changed, 13 deletions(-)

commit 065f4d9d3d75edd5aa85193ea09fb36c0a884856
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Feb 19 19:53:43 2013 -0500

    Don't do anything special with COGL_ENABLE_EXPERIMENTAL_2_0_API
    
    This flag solely disables deprecated Cogl 1.0 API, so it
    shouldn't be used for feature checks.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694229

 clutter/clutter-backend.h     | 2 +-
 clutter/clutter-paint-node.h  | 4 ++--
 clutter/clutter-paint-nodes.h | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 85bc8effa5431975a89cca368e5eaee7a0c3a880
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Feb 15 18:06:50 2013 +0000

    conformance: Only check for DISPLAY on X11 windowing backend
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=693741

 tests/conform/test-conform-common.c | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

commit 8b458d401c6508e97ce5c85eaf910e7a0fc2cbac
Author: Josselin Mouette <joss@malsain.org>
Date:   Wed Feb 20 22:20:22 2013 +0000

    actor: Use the correct return value
    
    The get_z_rotation_gravity() method returns an enumeration value, not a
    floating point value.
    
    Signed-off-by: Emmanuele Bassi <ebassi@gnome.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694187

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9fb235ce886e57267a82af0dccbf23ce81e8ccb
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Wed Feb 20 21:23:25 2013 +0100

    Update French translation

 po/fr.po | 586 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 293 insertions(+), 293 deletions(-)

commit 7bff7724129cc7cc0ffcf44c53377e7c540538ad
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 16 21:17:13 2013 +0100

    Updated Polish translation

 po/pl.po | 226 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 113 insertions(+), 113 deletions(-)

commit f6cb43017e96ebbbc3a774bc39ec4756c5108d1e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 14 08:10:57 2013 +0000

    Add missing functions to clutter.symbols
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693767

 clutter/clutter.symbols | 2 ++
 1 file changed, 2 insertions(+)

commit 2ec89a6781e82d0c9cd6f10a320076c9e37aae9d
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Feb 13 14:58:55 2013 +0000

    settings: Don't reload config for fontconfig if there's no fontmap
    
    If anything in the system changes the config for fontconfig then an
    XSetting will be set to record the last timestamp of the config file.
    This is presumably so that applications can be notified that it has
    changed and can reload the configuration. However once this setting is
    set it will remain set for the lifetime of the X server. This causes
    Clutter to handle the setting during the initialisation of the
    backend. Previously this would cause problems because Clutter would
    end up creating the default PangoFontMap before the backend has
    created the CoglContext. The PangoFontMap would in turn cause the
    default CoglContext to be created. Clutter will then later create its
    own CoglContext which means there will be two and the first one will
    be leaked. Cogl currently can't really cope with multiple contexts
    being created so it falls apart.
    
    This patch fixes it to skip reloading the config for fontconfig if
    there isn't a default font map yet. The config will presumably
    naturally be read with the latest values when it is finally created
    anyway so it doesn't need to be read immediately.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693696
    
    (cherry picked from commit 4b92d656c2b63570b91105f05b863c4efed32134)

 clutter/clutter-settings.c | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit b4ef9429742a1d2a04a40c59dfd36761c24104ad
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Thu Nov 8 12:42:24 2012 -0500

    Add clutter_stage_set_sync_delay()
    
    New experimental API is added to allow changing the way that redraws
    are timed for a stage to include a "sync delay" - a period after
    the vertical blanking period where Clutter simply waits for updates.
    
    In detail, the algorithm is that when the master clock is restarted
    after drawing a frame (in the case where there are timelines running)
    or started fresh in response to a queued redraw or relayout, the
    start is scheduled at the next sync point (sync_delay ms after the
    predicted vblank period) rather than done immediately.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692901

 clutter/clutter-master-clock.c    | 156 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------
 clutter/clutter-stage-private.h   |   4 +++-
 clutter/clutter-stage-window.c    |  43 +++++++++++++++++++++++++++++++++++++++----
 clutter/clutter-stage-window.h    |  10 ++++++++--
 clutter/clutter-stage.c           | 105 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----
 clutter/clutter-stage.h           |   8 ++++++++
 clutter/cogl/clutter-stage-cogl.c | 131 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------
 clutter/cogl/clutter-stage-cogl.h |   6 +++++-
 8 files changed, 386 insertions(+), 77 deletions(-)

commit 9d43336e0368bd5a78436e3436a0a1a7383e1de6
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Feb 7 17:20:39 2013 +0000

    evdev: Fix use of the common XKB code for the evdev device
    
    In commit 8f4e39b6d716 the Wayland code was updated to use the new
    xkbcommon API. This involved changing the common XKB code shared with
    the evdev input backend. However the evdev input backend was not
    modified so it wouldn't compile. This patch just makes a minor change
    to update it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693348
    
    (cherry picked from commit d0d1b562bd2a46ab9073507b42e106cb209038b8)

 clutter/evdev/clutter-device-manager-evdev.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 02cdf1cef4053b5212a9f65f39431d8c9e3bfee5
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   Fri Feb 8 01:10:50 2013 +0100

    xi2: Reset scroll info for correct device on device change

 clutter/x11/clutter-device-manager-xi2.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 360a629f8d1cd90c3233305c44f67de88f54eaf7
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Feb 7 15:54:02 2013 -0500

    cally-root: Prevent memory corruption
    
    accessible->name is eventually freed, so we need to dup the string
    to ensure that everything is alright.

 clutter/cally/cally-root.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4e892ce84581de856c07becc1ca6078f5bf4bee3
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Feb 7 01:36:42 2013 +0100

    Updated Galician translations

 po/gl.po | 175 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------
 1 file changed, 87 insertions(+), 88 deletions(-)

commit f9d9ca431add562734e7d9f88044f8cae2ed131b
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Wed Feb 6 21:31:01 2013 +0100

    build: Bump cogl requirement
    
    This is needed for the buffer_age changes.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f718debe6723dfe5e1664d71fb5106a2382ef615
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sun Feb 3 12:11:01 2013 +0100

    clutter-stage: Fix typo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669122

 clutter/clutter-stage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f43e20a415c22b22c85a0e7358148f091a67a7a
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Wed Feb 6 11:05:58 2013 +0100

    stage-cogl: Reuse backbuffer contents
    
    Use the buffer_age extension when available to recycle backbuffer contents
    instead of blitting from the back to front buffer when doing clipped redraws.
    
    The picking is now done in a pixel that is going to be repaired during the next
    redraw cycle for non static scences.
    
    This should improve performance and avoid tearing.
    
    Reviewed-by: Robert Bragg <robert@linux.intel.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669122

 clutter/clutter-stage-window.c    |  17 +++++++++++++++++
 clutter/clutter-stage-window.h    |   6 ++++++
 clutter/clutter-stage.c           |  62 ++++++++++++++++++++++++++++++++++++++++++--------------------
 clutter/cogl/clutter-stage-cogl.c | 111 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------
 clutter/cogl/clutter-stage-cogl.h |   3 +++
 5 files changed, 167 insertions(+), 32 deletions(-)

commit 34e466a3f938780e5e27a45393b64495e71d5af8
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sun Feb 3 11:51:19 2013 +0100

    stage-window: make it possible to damage the back buffer
    
    This allows us to report to the backend that the stage's back buffer has been trashed
    while handling picking. If the backend is keeping track of the contents of back buffers
    so it can minimize how much of the stage is redrawn then it needs to know when we do pick
    renders so it can invalidate the back buffer.
    
    Based on patch from Robert Bragg <robert@linux.intel.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669122

 clutter/clutter-stage-window.c    | 12 ++++++++++++
 clutter/clutter-stage-window.h    |  4 ++++
 clutter/clutter-stage.c           |  4 ++++
 clutter/cogl/clutter-stage-cogl.c | 12 ++++++++++++
 clutter/cogl/clutter-stage-cogl.h |  2 ++
 5 files changed, 34 insertions(+)

commit 673e7c10d8c008ddf88af4746423e7897690ebe9
Author: Yanko Kaneti <yaneti@declera.com>
Date:   Mon Jan 28 15:49:51 2013 +0200

    xi2: Fix access beyond array boundaries

 clutter/x11/clutter-device-manager-xi2.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 83f2f03c252f5b1af52a0718f9233279b49cc647
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Jan 31 23:11:23 2013 +0100

    x11/device-manager-xi2: Fix slave to master association
    
    A slave is associated to a master device, not the other way around.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692971

 clutter/x11/clutter-device-manager-xi2.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3e1450ba17fce90a8034cc525c67a87ff3cdd53d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jan 23 14:49:26 2013 -0500

    clutter-backend: Request XI2.3
    
    Since XIQueryVersion, the bad API that it is, chooses the first client
    version that it gets, we need to ensure that we pass XIQueryVersion the
    new XI2.3 version, knowing fully well that Clutter won't be confused
    by the new features.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692466

 clutter/x11/clutter-backend-x11.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b58a1d66816c19eda079a1bd7cecd1ad03644e69
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jan 23 17:09:59 2013 -0500

    x11: Always request XI2.2
    
    The X server should fill in the minor version that it supports in the
    case where it only supports the older version. We should not get a
    BadRequest or fail the version check if we pass something higher.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692466

 clutter/x11/clutter-backend-x11.c | 5 -----
 1 file changed, 5 deletions(-)

commit dca41f1d36e4ff26767101cd0d150b4d966cb59d
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Jan 27 18:17:51 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 463180802f3f2ee1b9a1dde7df5334e001e86d9e
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sun Jan 27 12:33:46 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 321 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------------
 1 file changed, 153 insertions(+), 168 deletions(-)

commit d63b04d173c5af31ea2772087ab3ced004c1ff20
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Fri Jan 25 16:38:05 2013 +0100

    [l10n] Updated Italian translation.

 po/it.po | 535 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 268 insertions(+), 267 deletions(-)

commit 95d56201bbcb78f061d573a113f3037392c89bd3
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Jan 23 22:05:30 2013 +0200

    Updated Lithuanian translation

 po/lt.po | 825 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 407 insertions(+), 418 deletions(-)

commit d12074ebb6a652099761e6c9a781173da71f979f
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sun Jan 20 20:30:01 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

 po/ug.po | 1875 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------
 1 file changed, 1143 insertions(+), 732 deletions(-)

commit b9ff774556be063ed5a8b3fa49edf054ee2e1ca6
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Jan 18 21:42:57 2013 -0200

    Updated Brazilian Portuguese Translation

 po/pt_BR.po | 587 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------------------
 1 file changed, 294 insertions(+), 293 deletions(-)

commit af9c8feb6da1bab59871df07b0915752caa62ec1
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Jan 18 23:55:35 2013 +0100

    Updated Serbian translation

 po/sr.po       | 655 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 po/sr@latin.po | 655 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 2 files changed, 644 insertions(+), 666 deletions(-)

commit 62729c14e71abbe75db3dc465c1fa7f5b0223ab6
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 16 22:55:11 2013 +0000

    Post-release version bump to 1.13.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dcec39123b88adb8b3eee7c71062a00011cc2c2c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 16 22:46:01 2013 +0000

    Release Clutter 1.13.4

 NEWS         | 40 ++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 41 insertions(+), 1 deletion(-)

commit 67eb8eaf36264071ba4cefe9bac7d82bd4d2460a
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Wed Dec 26 13:56:19 2012 +0100

    Add default handler for ClutterSwipeAction::swipe
    
    So code that still uses the deprecated ::swept keeps working
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690735

 clutter/clutter-swipe-action.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit c9cb463409932735c9c6f74f265d7cf1b1ee76d6
Author: Kouhei Sutou <kou@clear-code.com>
Date:   Sun Jan 13 21:07:42 2013 +0900

    Fix a typo in ClutterEventType documentation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691651

 clutter/clutter-enums.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 900832383bbe9fc3fccd1a6f947e273dffd9ff8f
Author: Nirbheek Chauhan <nirbheek.chauhan@collabora.co.uk>
Date:   Tue Dec 18 00:26:57 2012 +0530

    clutter-text: Allow setting attributes for editable text
    
    The behaviour imitates GtkEntry and ignores attributes from markup because Pango
    barfs on invalid markup. Also add an example to the text-field interactive test.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686477

 clutter/clutter-text.c              | 24 +++++++++++-------------
 tests/interactive/test-text-field.c | 11 +++++++++--
 2 files changed, 20 insertions(+), 15 deletions(-)

commit 1b1cffbb43f61d3f90995419d967aed26e597c65
Author: Wouter Paesen <wouter@blue-gate.be>
Date:   Fri Dec 28 21:55:51 2012 +0100

    * use requested value of fullscreen state in clutter_stage_win32_set_fullscreen instead of old value
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690836

 clutter/win32/clutter-stage-win32.c | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit 650366c9042130f184dd65cedd9f0f4392175590
Author: Wouter Paesen <wouter@blue-gate.be>
Date:   Fri Dec 28 21:12:05 2012 +0100

    * added DllMain prototype to satisfy maintainer mode compiler error checking
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690835

 clutter/win32/clutter-backend-win32.c | 5 +++++
 1 file changed, 5 insertions(+)

commit e999b8a83cb7b11d34a4e479380f29e89352d361
Author: Wouter Paesen <wouter@blue-gate.be>
Date:   Fri Dec 28 20:58:14 2012 +0100

    * removed clutter-shader.h dependency from clutter-backend-win32.c
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690833

 clutter/win32/clutter-backend-win32.c | 2 --
 1 file changed, 2 deletions(-)

commit 65eb9d2decf97025b0e54941b06895ceec22e542
Author: Kouhei Sutou <kou@clear-code.com>
Date:   Fri Jan 4 16:12:39 2013 +0900

    Add missing "(constructor)" tag to clutter_color_alloc()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691114

 clutter/clutter-color.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ad873ff606ca629689e054acfad416a6e19446b
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Jan 14 12:51:54 2013 -0500

    actor: Correct documentation formatting for clutter_actor_event()
    
    TRUE and FALSE need to be symbolified here.

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5dd3eed41e7db1c62d7392035050b3906ba0184e
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jan 9 01:28:48 2013 -0500

    actor: Fix documentation reference for pivot-point

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea5fb11ea6bb6e40919bd43bdf2dc653e8ab0a18
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 23 15:36:30 2012 +0000

    Fix interpolation between ClutterRect instances
    
    A stupid typo broke the linear interpolation function.

 clutter/clutter-base-types.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 05694b34815943fab69136257f5271098d474b75
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sat Dec 22 22:21:16 2012 -0500

    x11: Ignore num lock / scroll lock for event state
    
    As x11 considers num lock and scroll lock to be modifiers, code that
    checks for an exact modifier combination will fail if naively done when
    num lock or scroll lock are turned on. Applications that want to ignore
    these modifiers will need to use XKB to manually mask out the modifier
    state.
    
    As it is very unlikely that applications will want to care about the
    state of num lock or scroll lock for key press/key release events, mask
    out the num lock and scroll lock keys automatically.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690664

 README.in                                     |  6 ++++++
 clutter/x11/clutter-device-manager-core-x11.c |  2 +-
 clutter/x11/clutter-device-manager-xi2.c      |  2 +-
 clutter/x11/clutter-keymap-x11.c              | 12 +++++++++++-
 clutter/x11/clutter-keymap-x11.h              |  2 +-
 5 files changed, 20 insertions(+), 4 deletions(-)

commit 1a0e501efddc9f49da47e1e6eea689bd8c4f2d90
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 19 13:50:58 2012 +0000

    X11: Use XFixes for show/hide cursor
    
    This has been disabled since February 2008, on the grounds that XFixes
    didn't work reliably for hiding cursors.  This has almost certainly been
    fixed then and seems to work entirely reliably across a number of X
    servers released in the past few years, and is definitely better than a
    1x1 black dot for a cursor.
    
    Helpfully though, where the spec states that the cursor will be hidden
    when inside the specified window or one of its children, it actually
    only uses the window to look up the Screen, and hides the cursor across
    the entire Screen.  So, when using this, we also need to track crossing
    events.
    
    If it's still broken, this needs to be fixed in the X server.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690497
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

 clutter/x11/clutter-stage-x11.c | 34 +++++++++++++++++++++++++++++-----
 clutter/x11/clutter-stage-x11.h |  1 +
 2 files changed, 30 insertions(+), 5 deletions(-)

commit 1baefc4807b656fbc7dd6ff53cecfcf51645d04a
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Wed Jan 9 07:00:36 2013 +0200

    Updated Bulgarian translation

 po/bg.po | 530 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 265 insertions(+), 265 deletions(-)

commit bb8ef4e5c0873c896643a3dddba6ea67b3e7dcc9
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Dec 28 15:54:33 2012 +0800

    test-interactive-clutter.vc(x)projin: Fix includes
    
    We need to include the gdk-pixbuf headers as well...

 build/win32/vs10/test-interactive-clutter.vcxprojin | 8 ++++----
 build/win32/vs9/test-interactive-clutter.vcprojin   | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 26380730bfe2746b063d906f02eb43961bce7b9b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Dec 28 15:46:00 2012 +0800

    Fix Clutter Visual C++ projects
    
    Fix the *_GDK configs as GDK headers will include GDK-Pixbuf headers as
    well.

 build/win32/vs10/clutter.vcxprojin | 8 ++++----
 build/win32/vs9/clutter.vcprojin   | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit e57208d425a2725ef5d9c53c59836410e212c758
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Dec 24 22:54:03 2012 +0100

    Updated Galician translations

 po/gl.po | 647 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 323 insertions(+), 324 deletions(-)

commit 5a025b95157f190acc1a9602b8daf337733678cb
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Sun Dec 23 18:54:54 2012 +0200

    Updated Greek translation

 po/el.po | 649 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 322 insertions(+), 327 deletions(-)

commit 77a9decc00b173978bb3607fba5bcb376e0e3102
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Dec 23 04:11:54 2012 +0100

    Updated Polish translation

 po/pl.po | 632 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 316 insertions(+), 316 deletions(-)

commit c742b33200e4e73bf1b2b0ceac26ba648bb9aa3a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Dec 19 13:25:12 2012 +0100

    Updated Spanish translation

 po/es.po | 639 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------------------------
 1 file changed, 317 insertions(+), 322 deletions(-)

commit fa8878509e38cd90c706f8fa0c84219561680184
Author: Aleksej Kabanov <ak099@mail.ru>
Date:   Wed Dec 19 11:39:46 2012 +0400

    Updated Russian translation

 po/ru.po | 579 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------------------
 1 file changed, 290 insertions(+), 289 deletions(-)

commit 4ce3fbbfdcef90d6fef02b326348e4354f519478
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Dec 18 08:39:23 2012 +0100

    Updated Slovenian translation

 po/sl.po | 776 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------------------------------------------------
 1 file changed, 391 insertions(+), 385 deletions(-)

commit f7f2635fbf166c630a4b07b5f045e40f3bbbe047
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 18 01:57:23 2012 +0000

    Post-release version bump to 1.13.3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 790ecbaf94ad8a68864d94ba9f4dce2531a412fe
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 18 01:36:20 2012 +0000

    Release Clutter 1.13.2

 NEWS         | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit c000fb7b833b9a8c7bb985f4d76ddd367570eeee
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Oct 17 09:37:50 2012 +0100

    build: Fix distcheck in the cookbook
    
    Someday, somebody will have to explain to me how not touching
    anything for a whole release cycle ends up breaking the build.
    
    Adding the top_srcdir/doc/cookbook path to the includes fixes the
    distcheck.

 doc/cookbook/Makefile.am | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 9016cba473ae1d2084494c67cfb3d7b5cc5b72c8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 18 01:24:35 2012 +0000

    examples: Remove clutter_x11_enable_xinput()
    
    It is unnecessary, and deprecated.

 examples/pan-action.c | 4 ----
 1 file changed, 4 deletions(-)

commit 6d2ab8fe51b702708ea5b4bba27a839d2b74ff61
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Nov 26 13:09:23 2012 -0500

    swipe-action: Introduce new ::swipe signal
    
    This deprecates the old ::swept signal, which didn't have a
    handled boolean parameter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689392

 clutter/clutter-marshal.list   |  1 +
 clutter/clutter-swipe-action.c | 38 ++++++++++++++++++++++++++++++++++++--
 clutter/clutter-swipe-action.h |  9 +++++++--
 3 files changed, 44 insertions(+), 4 deletions(-)

commit cea8ea06f33019c48807ba422f2ff1fa94f28c5a
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Fri Nov 16 15:33:00 2012 +0000

    events: Make _clutter_process_event() reentrant
    
    The _clutter_process_event() function may get called while already
    servicing a _clutter_process_event() invocation (eg. when generating
    ENTER events before emitting TOUCH_BEGIN).
    
    In these cases clutter_get_current_event() would return NULL after
    the inner call to _clutter_process_event() has finished, thereafter
    making the current event inaccessible during the remaining portion
    of the outer event emission.
    
    By stacking the current events in ClutterMainContext instead of
    simply replacing them we do not lose track of the real current event.
    
    Also update clutter_get_current_event_time() to be consistent from a
    reentrancy perspective.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688457

 clutter/clutter-event.c   | 10 +++++-----
 clutter/clutter-main.c    |  7 +++----
 clutter/clutter-private.h |  4 ++--
 3 files changed, 10 insertions(+), 11 deletions(-)

commit 060b05cc29f74d610159a33d880f0fe6582d260c
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Thu Oct 11 17:23:34 2012 +0200

    actor: Remove transition when stopping it
    
    This covers more cases when the transition completes but was still
    being tracked by its actor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685982

 clutter/clutter-actor.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 78a7a60b8969aa14a89ce54132db1f6e44b4dca0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 18 00:45:00 2012 +0000

    evdev: Fix missing ClutterEventSource member
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686692

 clutter/evdev/clutter-device-manager-evdev.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 47c1e26385a3451048f6e2166576b931ed8895aa
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 7 22:57:04 2012 +0100

    Enable XInput support by default
    
    Instead of using core events, we should move into the XXI century, and
    use the XInput extension.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673838

 clutter/x11/clutter-backend-x11.c | 25 +++++++++++--------------
 clutter/x11/clutter-x11.h         |  1 +
 2 files changed, 12 insertions(+), 14 deletions(-)

commit 1bdd0369e4685a8eee34b85762069b564684abd5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 18 00:16:28 2012 +0000

    docs: Specify that RotateAction uses two touch points
    
    Even if it's obvious, it's better to be explicit.

 clutter/clutter-rotate-action.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd58c0bb24cbf206ab8155114b1906e217e4bc9f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Dec 18 00:15:57 2012 +0000

    docs: Clean up ZoomAction signal and description
    
    Remove the parts that were copied and pasted from DragAction.

 clutter/clutter-zoom-action.c | 25 ++++++++++---------------
 1 file changed, 10 insertions(+), 15 deletions(-)

commit 84b4f2f0a3775e98feeeeedd1d5ba65408476d19
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Dec 16 14:37:42 2012 +0000

    actor: Clean up the code in ::apply-transform
    
    Instead of placing the whole body of the function inside an if block,
    let's make it clear what each part of the function does. Also, add more
    comments.

 clutter/clutter-actor.c | 218 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------
 1 file changed, 116 insertions(+), 102 deletions(-)

commit 183e7b6176882fa9748d1a56fa802f86788f9c7c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Dec 17 11:23:59 2012 +0800

    Visual C++ projects: Use MultiByte character set
    
    Use MultiByte character set for all projects and configs, to avoid any
    inconsistencies that may arise.

 build/win32/vs10/cally-atkcomponent-example.vcxproj         | 4 ++--
 build/win32/vs10/cally-atkeditabletext-example.vcxproj      | 4 ++--
 build/win32/vs10/cally-atkevents-example.vcxproj            | 4 ++--
 build/win32/vs10/cally-atktext-example.vcxproj              | 4 ++--
 build/win32/vs10/cally-clone-example.vcxproj                | 4 ++--
 build/win32/vs10/test-cogl-perf.vcxproj                     | 4 ++--
 build/win32/vs10/test-conformance-clutter.vcxprojin         | 4 ++--
 build/win32/vs10/test-interactive-clutter.vcxprojin         | 4 ++--
 build/win32/vs10/test-picking-performance.vcxproj           | 4 ++--
 build/win32/vs10/test-picking.vcxproj                       | 4 ++--
 build/win32/vs10/test-random-text.vcxproj                   | 4 ++--
 build/win32/vs10/test-state-hidden-performance.vcxproj      | 4 ++--
 build/win32/vs10/test-state-interactive-performance.vcxproj | 4 ++--
 build/win32/vs10/test-state-mini-performance.vcxproj        | 4 ++--
 build/win32/vs10/test-state-performance.vcxproj             | 4 ++--
 build/win32/vs10/test-state-pick-performance.vcxproj        | 4 ++--
 build/win32/vs10/test-text-perf-performance.vcxproj         | 4 ++--
 build/win32/vs10/test-text-perf.vcxproj                     | 4 ++--
 build/win32/vs10/test-text.vcxproj                          | 4 ++--
 build/win32/vs9/cally-atkcomponent-example.vcproj           | 4 ++--
 build/win32/vs9/cally-atkeditabletext-example.vcproj        | 4 ++--
 build/win32/vs9/cally-atkevents-example.vcproj              | 4 ++--
 build/win32/vs9/cally-atktext-example.vcproj                | 4 ++--
 build/win32/vs9/cally-clone-example.vcproj                  | 4 ++--
 build/win32/vs9/test-cogl-perf.vcproj                       | 4 ++--
 build/win32/vs9/test-conformance-clutter.vcprojin           | 4 ++--
 build/win32/vs9/test-interactive-clutter.vcprojin           | 4 ++--
 build/win32/vs9/test-picking-performance.vcproj             | 4 ++--
 build/win32/vs9/test-picking.vcproj                         | 4 ++--
 build/win32/vs9/test-random-text.vcproj                     | 4 ++--
 build/win32/vs9/test-state-hidden-performance.vcproj        | 4 ++--
 build/win32/vs9/test-state-interactive-performance.vcproj   | 4 ++--
 build/win32/vs9/test-state-mini-performance.vcproj          | 4 ++--
 build/win32/vs9/test-state-performance.vcproj               | 4 ++--
 build/win32/vs9/test-state-pick-performance.vcproj          | 4 ++--
 build/win32/vs9/test-text-perf-performance.vcproj           | 4 ++--
 build/win32/vs9/test-text-perf.vcproj                       | 4 ++--
 build/win32/vs9/test-text.vcproj                            | 4 ++--
 38 files changed, 76 insertions(+), 76 deletions(-)

commit 1f3e99f886a7b78fb357921742190c4b218e7ebc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Dec 15 18:44:26 2012 +0000

    Put g_type_init() under a version check
    
    GLib 2.36 will deprecate g_type_init() in favour of automatic
    initialization through a constructor function. We need to add the
    version check to avoid a compiler warning.

 clutter/clutter-main.c | 2 ++
 1 file changed, 2 insertions(+)

commit 57956461dcc0705d88b8acb7d8ce0b9bc7931445
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Oct 8 09:26:32 2012 +0100

    docs: Fix ClutterPanAction signal annotation
    
    Signals are defined as <ClassName>::<signal-name>; a single colon is
    used for properties.

 clutter/clutter-pan-action.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 219d0efcc67fff6f40fb22b1a6ae437bc32dc53e
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Fri Dec 14 17:05:26 2012 +0000

    actor: rollback pivot translation even on explicit transforms
    
    When setting an explicit transform with clutter_actor_set_transform()
    and a non (0,0) pivot-point, clutter_actor_apply_transform() will fail
    to roll back the pivot-point translation done before multiplying the
    transformation matrix due to the "out:" label being slightly misplaced
    in clutter_actor_real_apply_transform().
    
    This works properly:
      clutter_actor_set_pivot_point (actor, 0.5, 0.5);
      clutter_actor_set_rotation_angle (actor, CLUTTER_Z_AXIS, 30);
    
    This results in the actor being moved to the pivot-point position:
      clutter_actor_set_pivot_point (actor, 0.5, 0.5);
      clutter_matrix_init_identity(&matrix);
      cogl_matrix_rotate (&matrix, 30, 0, 0, 1.0);
      clutter_actor_set_transform (actor, &matrix);
    
    This also add a conformance test checking that even when using a
    pivot-point, no matter how a rotation is set the resulting
    transformation matrix will be the same.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690214

 clutter/clutter-actor.c           |  2 +-
 tests/conform/actor-invariants.c  | 40 ++++++++++++++++++++++++++++++++++++++++
 tests/conform/test-conform-main.c |  1 +
 3 files changed, 42 insertions(+), 1 deletion(-)

commit 465ab95a64f780eb963a137cb811b435c2af9c4e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Dec 14 19:50:27 2012 +0800

    clutter/clutter-rotate-action.c: Use G_PI instead of M_PI
    
    ...because M_PI is not universally available

 clutter/clutter-rotate-action.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f55746c83facc4f167f2b1d594fe4c818396e96
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Dec 14 19:48:33 2012 +0800

    Update Clutter MSVC projects
    
    We now link to gdk-3.0.lib, not gdk-win32-3.0.lib, so that we are more
    consistent to the autotools builds.

 build/win32/vs10/clutter.vcxprojin | 8 ++++----
 build/win32/vs9/clutter.vcprojin   | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 3b3db5084a6314c802c59fc53b8113783875cd24
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Dec 14 19:41:47 2012 +0800

    Fix Visual C++ 2010 property sheets
    
    Fix up the paths where glib-mkenums and glib-genmarshal is called.  Somehow
    this slipped by earlier checks :|

 build/win32/vs10/clutter.props | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a92e29d923c6eacfc1c8780636a45422a504e005
Author: Alejandro Piñeiro <apinheiro@igalia.com>
Date:   Mon Dec 10 18:09:06 2012 +0100

    a11y: removed implementation notes comment from CallyText
    
    Part of those notes were outdated. The other part is irrelevant
    or has a bug assigned.

 clutter/cally/cally-text.c | 30 ------------------------------
 1 file changed, 30 deletions(-)

commit f49aff9682aebf7f280c9c55e71ac1ce1f4e96ff
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sun Dec 9 03:30:05 2012 +0900

    Fixed clutter_rect_intersection()
    
    There was a typo where y was used instead of x.

 clutter/clutter-base-types.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 81903eca407ddcfd4fa4ef8171d95508dea7260c
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Dec 2 22:32:25 2012 -0500

    state: Fix a build-breaking typo
    
    Spotted by Colin Walters <walters@verbum.org>. Took him half
    an hour; I'm sorry :(

 clutter/deprecated/clutter-state.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 45521b04179342459ed0e87150383f7c07ea4e8f
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Dec 2 20:19:14 2012 -0500

    Revert "swipe-action: Introduce new ::swipe signal"
    
    This reverts commit 184b8c6fa6e68120b4fb6b42d272448ab174004a.

 clutter/clutter-marshal.list   |  1 -
 clutter/clutter-swipe-action.c | 38 ++------------------------------------
 clutter/clutter-swipe-action.h |  5 +----
 3 files changed, 3 insertions(+), 41 deletions(-)

commit 511e266a85d4b4c505d7c40db9d856739c874ea5
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Nov 30 21:44:00 2012 -0500

    A bunch of fixes for Coverity
    
    None of these are relevant enough for their own fixes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689496

 clutter/deprecated/clutter-cairo-texture.c | 4 +---
 tests/interactive/test-animator.c          | 2 +-
 tests/interactive/test-cogl-offscreen.c    | 2 --
 tests/interactive/test-cogl-tex-foreign.c  | 2 --
 tests/interactive/test-cogl-tex-getset.c   | 2 --
 tests/interactive/test-devices.c           | 8 --------
 tests/interactive/test-state-animator.c    | 2 +-
 7 files changed, 3 insertions(+), 19 deletions(-)

commit 2034f1677dfacef2cb93c101e758143460eee31e
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Nov 30 21:43:36 2012 -0500

    gdk: Fix realization in the foreign-window case
    
    Found by Coverity.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689496

 clutter/gdk/clutter-stage-gdk.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit ea2b368af91f96d9899ba73de1e176d6e100a7b2
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Nov 30 21:39:10 2012 -0500

    text: Fix font fallback
    
    Spotted by Coverity.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689496

 clutter/clutter-text.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fbcab5f0976589e577f8e41f846803c8e38a618b
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Nov 30 21:35:58 2012 -0500

    Fix some missing va_ends
    
    Found by Coverity.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689496

 clutter/clutter-list-model.c          | 5 +++--
 clutter/deprecated/clutter-animator.c | 7 ++++---
 clutter/deprecated/clutter-state.c    | 5 +++--
 3 files changed, 10 insertions(+), 7 deletions(-)

commit 039ba910f00d92c51d04babc2a7ca345fc380f2d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Nov 30 21:07:49 2012 -0500

    grid-layout: Don't use uninitialized values
    
    The clutter_actor_box_set_* methods rely on the current box
    geometry, so we can't use those for an uninitialize actor box.
    Found by Coverity.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689496

 clutter/clutter-grid-layout.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 5aca3c49929713d3274ab0ac0b5f87522dd5f9d4
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Nov 30 21:06:59 2012 -0500

    cally-util: Don't free a NULL pointer
    
    The only place key_event can not be NULL is in this branch.
    Spotted by Coverity.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689496

 clutter/cally/cally-util.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 184b8c6fa6e68120b4fb6b42d272448ab174004a
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Nov 26 13:09:23 2012 -0500

    swipe-action: Introduce new ::swipe signal
    
    This deprecates the old ::swept signal, which didn't have a
    handled boolean parameter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689392

 clutter/clutter-marshal.list   |  1 +
 clutter/clutter-swipe-action.c | 38 ++++++++++++++++++++++++++++++++++++--
 clutter/clutter-swipe-action.h |  5 ++++-
 3 files changed, 41 insertions(+), 3 deletions(-)

commit 80eeac71f98ec387b141cbaa540d67619bc954b4
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Nov 30 20:21:23 2012 -0500

    text: Prevent a relayout if font descriptions or attrs are equal
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689399

 clutter/clutter-text.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit c5321da66cf9fa745f98d62b64abe02f26c91802
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Nov 30 18:20:41 2012 -0500

    Revert "swipe-action: Introduce new ::swipe signal"
    
    This reverts commit 3e671f9c1b542f6b843c28e80c174bfaa93bc2a5.
    
    Pushed by mistake, sorry.

 clutter/clutter-marshal.list   |  1 -
 clutter/clutter-swipe-action.c | 35 +----------------------------------
 clutter/clutter-swipe-action.h |  4 ----
 3 files changed, 1 insertion(+), 39 deletions(-)

commit 3e671f9c1b542f6b843c28e80c174bfaa93bc2a5
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Nov 26 13:09:23 2012 -0500

    swipe-action: Introduce new ::swipe signal
    
    This deprecates the old ::swept signal, which didn't have a
    handled boolean parameter.

 clutter/clutter-marshal.list   |  1 +
 clutter/clutter-swipe-action.c | 35 ++++++++++++++++++++++++++++++++++-
 clutter/clutter-swipe-action.h |  4 ++++
 3 files changed, 39 insertions(+), 1 deletion(-)

commit 15b811840c81a990ff0d09eba05952fd34277c63
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Nov 29 18:36:10 2012 -0500

    actor: Use fixed positioning for allocate_preferred_size
    
    clutter_actor_allocate_preferred_size is supposed to use the fixed
    position of an actor. Unfortunately, recent refactorings made it so
    that it accidentally used the current allocation. As the current
    allocation may be adjusted by the actor, or have been previously
    allocated in a strange spot, it may have unintended side effects. Use
    the fixed positioning of the actor instead.
    
    This fixes weird issues with margins colliding with
    ClutterFixedLayout, causing strange offsets on relayout.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689316

 clutter/clutter-actor.c | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 75b521de6e3294bb612f08b1f191b0f75778d828
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Nov 25 23:11:45 2012 -0500

    pan-action: Add a simple convenience function to retrieve delta/coords
    
    This is a simple helper designed to ease the implementation of alternate
    implementations of the "pan" signal handler.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689061

 clutter/clutter-pan-action.c               | 116 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 clutter/clutter-pan-action.h               |  12 +++++++++++-
 clutter/clutter.symbols                    |   2 ++
 doc/reference/clutter/clutter-sections.txt |   2 ++
 4 files changed, 125 insertions(+), 7 deletions(-)

commit 90a2401299418a5e6b4d0ceb6692a6c758414cdf
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Nov 25 23:25:20 2012 -0500

    pan-action, zoom-action: Fix documentation for signals
    
    The documentation said that you should return TRUE to mark
    that the action was handled, but the code did the reverse.
    Change the documentation to reflect what all the other gestures
    do.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689061

 clutter/clutter-pan-action.c  | 4 ++--
 clutter/clutter-zoom-action.c | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 9614dff158f4871bf40b335e3542b7bc57802021
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Nov 28 21:17:11 2012 -0500

    xi2: Reset the correct scroll axes on DeviceChanged
    
    Otherwise, we'll have incorrect scrolling when we switch hardware
    devices without switching virtual devices. For example, on a ThinkPad,
    scroll using the touchpad, move the eraser mouse, and then scroll again:
    the deltas will be wrong. This also matches what GTK+ does.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689258

 clutter/x11/clutter-device-manager-xi2.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 7204f51643bc9375b160e99dfa435c20ceae59d8
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Nov 28 22:25:55 2012 +0100

    gesture-action: Rename 'device' parameter to 'point' and fix docs
    
    The parameter is now used to index the touch/mouse pointer tracked
    in the gesture array, rename accordingly and update the docs.

 clutter/clutter-gesture-action.c | 70 ++++++++++++++++++++++++++++++++++++++--------------------------------
 clutter/clutter-gesture-action.h | 10 +++++-----
 clutter/clutter-zoom-action.c    |  8 ++++----
 3 files changed, 47 insertions(+), 41 deletions(-)

commit 879b1330624f583f8ee44c9ee3b51d52e6603f98
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Nov 28 22:03:34 2012 +0100

    docs: Add missing symbols to the sections file

 doc/reference/clutter/clutter-sections.txt | 4 ++++
 1 file changed, 4 insertions(+)

commit 5413b0ed62bc760e31f05c8181e26fe01c35fd6c
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Thu Nov 29 10:18:37 2012 +0100

    docs: Ignore GestureAction private header on docs generation

 doc/reference/clutter/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 064a41d37619e7e755acb0c3d7134a8f219e6cdf
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sat Nov 3 16:22:41 2012 -0400

    interval: Fix annotations for clutter_interval_clone

 clutter/clutter-interval.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04ca3d1af3544adfe80cc52f75c51ac2bda029fe
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Mon Oct 1 10:57:07 2012 +0200

    examples/pan-action: Enable the xinput backend to test touch events

 examples/pan-action.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit b94595f5f7754303747c8ab511307a38cb53ef6f
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Tue Nov 20 18:15:56 2012 +0100

    tests: Track TOUCH_CANCEL events in test-events

 tests/interactive/test-events.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 7007273405230473c49d24e207e7d19563784585
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Tue Nov 20 18:15:29 2012 +0100

    tests: Print touch sequences in test-events
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685186

 tests/interactive/test-events.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit ad288c80616ad1b643ddf5f7a9c599462338f2c4
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Tue Nov 20 18:03:12 2012 +0100

    tests: Print the modifiers state on mouse/touch events

 tests/interactive/test-events.c | 99 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 77 insertions(+), 22 deletions(-)

commit f57fc569d29abc683ae1ca639244dcb74baca360
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Tue Nov 20 17:37:53 2012 +0100

    events: Fix and improve some touch events debug notes

 clutter/clutter-main.c | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

commit 7f0bb8f92ecd7c8bfb241512beecc87d5072fed9
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Tue Nov 20 17:34:52 2012 +0100

    events: Use the correct union field when setting the stage on touch events

 clutter/clutter-main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da498fdb9a0b9769ee0180a84aac431025692f80
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Mon Nov 26 10:30:47 2012 +0000

    actor: fix allocate_align_fill() to maintain the child preferred size
    
    When trying to clamp to pixel a box that is exactly in between 2
    pixels, the clutter_actor_box_clamp_to_pixel() function changes the
    size of the box.
    
    Here is an example :
    
    ClutterActorBox box = { 10.5, 10, 20.5, 20};
    
    g_message ("%fx%f -> %fx%f", box.x1, box.y1, box.x2, box.y2);
    clutter_actor_box_clamp_to_pixel (&box);
    g_message ("%fx%f -> %fx%f", box.x1, box.y1, box.x2, box.y2);
    
    Here is what you get :
    
    ** Message: 10.500000x10.000000 -> 20.500000x20.000000
    ** Message: 10.000000x10.000000 -> 21.000000x20.000000
    
    That is because of the properties of the ceilf and floorf function
    used to do the clamping.
    
    For example, ceil(0.5) is 1.0, and ceil(-0.5) is 0.0.
    And, floor(0.5) is 0.0, and floor(-0.5) is -1.0.
    
    To work around that problem this patch retains the distance between x
    and y coordinates and apply that difference before calling ceilf() on
    x2 and y2.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=689073

 clutter/clutter-actor.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit c49bfa19987a39a21e8bfc4184cce839d191062c
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Tue Nov 6 19:59:32 2012 +0100

    Umlaut fixed

 po/de.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5dee7e6c9815ab0a94ac606f2c62866f5b523838
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Tue Nov 6 19:56:01 2012 +0100

    [l10n] Updated German translation

 po/de.po | 35 +++++++++++++++++------------------
 1 file changed, 17 insertions(+), 18 deletions(-)

commit 2be88b34b23a32f07e215fc6f8780c367d5197a3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Oct 24 12:09:47 2012 +0200

    Don't annotate with (transfer full) constructors of GInitiallyUnowned subclasses
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686776

 clutter/clutter-actor.c           | 2 +-
 clutter/clutter-interval.c        | 2 +-
 clutter/clutter-path-constraint.c | 2 +-
 clutter/clutter-scroll-actor.c    | 2 +-
 clutter/clutter-shader-effect.c   | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 888a560c932528fc23e03670af43504c23a6aab9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Oct 20 19:09:27 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit c2b7ba7815c7bca1e6621c5f5b4551d7c6455cbc
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Sat Oct 20 02:12:24 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ccdbd362345d2224b3edaa60879a6ed55235da1f
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Mon Oct 8 17:44:13 2012 +0200

    gesture-action: Add clutter_gesture_action_get_last_event()
    
    Export the last event received for each touch point in its entirety,
    instead of duplicating ClutterEvent accessors one at a time.
    
    examples/pan-action.c has been updated to show the type of the event
    that's causing the panning.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685737

 clutter/clutter-gesture-action.c           | 42 ++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-gesture-action.h           |  4 ++++
 clutter/clutter.symbols                    |  1 +
 doc/reference/clutter/clutter-sections.txt |  1 +
 examples/pan-action.c                      | 13 +++++++++++--
 5 files changed, 59 insertions(+), 2 deletions(-)

commit 61f2d751d08aeade38b67f477bf4273e04231995
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Mon Oct 1 16:15:06 2012 +0200

    tap-action: Add TapAction, to handle mouse/touch tapping
    
    TapAction is a GestureAction-subclass that handles clicks and
    tap gestures. It is meant to provide a replacement for ClickAction
    using GestureAction:
    
    • it handles events trasparently without capturing them, so that it
      can coexists with other GestureActions;
    
    • the ::tap signal is not emitted if the drag threshold is exceeded;
    
    • building upon GestureAction the amount of code is greatly reduced.
    
    TapAction provides:
    
    • tap signal, notifying users when a tap has been performed.
    
    The image-content example program has been updated replacing its
    ClickAction usage with TapAction.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683948

 clutter/Makefile.am                        |   2 ++
 clutter/clutter-tap-action.c               | 142 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-tap-action.h               | 102 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter.h                          |   1 +
 clutter/clutter.symbols                    |   2 ++
 doc/reference/clutter/clutter-docs.xml.in  |   1 +
 doc/reference/clutter/clutter-sections.txt |  17 +++++++++++++++++
 doc/reference/clutter/clutter.types        |   1 +
 examples/image-content.c                   |  10 +++++-----
 9 files changed, 273 insertions(+), 5 deletions(-)

commit bd1febb2eaa73c2925785e3b5f5a7d7ab70d9692
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Mon Oct 1 17:29:01 2012 +0200

    gesture-action: Unregister all tracked points on cancel
    
    Ensure that when cancelling a gesture, either because a callback
    has returned FALSE or because clutter_gesture_action_cancel() has
    been called, the array tracking touch points is emptied and a whole
    new set of touch points is needed before restarting the gesture.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685221

 clutter/clutter-gesture-action.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit abcf1d589f29ba7914d5648bb9814ad26c13cd83
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Mon Oct 15 23:37:38 2012 +0200

    gesture-action: Let subclasses override the GestureTriggerEdge handling
    
    Let gesture subclasses override how the drag threshold should
    be handled:
    
    • CLUTTER_GESTURE_TRIGGER_NONE tells GestureAction that the gesture
      must begin immediately and there's no drag limit that will cause
      its cancellation;
    • CLUTTER_GESTURE_TRIGGER_AFTER is the default GestureAction behaviour,
      where it needs to wait until the drag threshold has been exceeded
      before considering the gesture valid;
    • CLUTTER_GESTURE_TRIGGER_BEFORE will make GestureAction cancel
      the gesture once the drag exceed the configured threshold.
    
    For example, ZoomAction and RotateAction could set
    CLUTTER_GESTURE_TRIGGER_NONE since the use of two fingers makes the
    begin of the action more self-evident, while an hypothetical Tap
    gesture may use CLUTTER_GESTURE_TRIGGER_BEFORE to cancel the tap if
    the pointer moves too much.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685028

 clutter/Makefile.am                      |   1 +
 clutter/clutter-gesture-action-private.h |  59 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-gesture-action.c         | 141 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------
 3 files changed, 153 insertions(+), 48 deletions(-)

commit cbab0a62ad7eb162bc5f195f5e199fc6279d6751
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Oct 12 18:54:25 2012 +0100

    wayland: Port to new protocol

 clutter/wayland/clutter-backend-wayland.c        | 31 +++++++++++++++++++------------
 clutter/wayland/clutter-backend-wayland.h        |  1 +
 clutter/wayland/clutter-device-manager-wayland.c |  4 ++--
 clutter/wayland/clutter-event-wayland.c          | 15 ++-------------
 clutter/wayland/clutter-input-device-wayland.c   |  2 ++
 5 files changed, 26 insertions(+), 27 deletions(-)

commit 4316592c2f7ba69f0c9d41ca899b2d897e6bda7d
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Oct 12 18:42:55 2012 +0100

    wayland: Add wayland-client to pkg-config flags

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit eb61e372b072400c419967c020b117af48357f79
Author: Rob Bradford <rob@linux.intel.com>
Date:   Fri Oct 12 15:23:03 2012 +0100

    wayland: Initialise the repeat key to the expected default value
    
    The code for handling key repeats (and in particular stopping on focus loss)
    assumes that the repeat key is set to XKB_KEYCODE_INVALID in the default case.

 clutter/wayland/clutter-input-device-wayland.c | 1 +
 1 file changed, 1 insertion(+)

commit fce43c420e4fff2b8cbed5eee4dce740689df637
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Oct 8 13:25:36 2012 +0100

    wayland: Use wl_cursor_theme to provide a buffer for the Wayland cursor
    
    This change switches to the new mechanism for loading a cursor into a buffer.
    It no longer relies on having a PNG stored in a known location and instead
    loads from the Wayland cursor theme.
    
    Signed-off-by: Rob Bradford <rob@linux.intel.com>

 clutter/wayland/clutter-backend-wayland.c | 174 ++++++++++++++++++------------------------------------------------------------------------------------------------------------------------------------------------------------
 clutter/wayland/clutter-backend-wayland.h |   4 ++++
 2 files changed, 22 insertions(+), 156 deletions(-)

commit d4c7f2ecf4986517b890ef2b76cb1b6bbcb026fa
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 30 16:13:48 2012 -0700

    abicheck: Add CLUTTER_WINDOWING_WAYLAND
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

 clutter/abicheck.sh | 6 ++++++
 1 file changed, 6 insertions(+)

commit dab6b3916a2233b607e7b6f46d694715f2c1c902
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 30 16:28:19 2012 -0700

    clutter.symbols: Update for Wayland changes
    
    make check now passes under Wayland.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

 clutter/clutter.symbols | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a33d84234f516599a888a8eb798f9f45d3c4cdc5
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 30 16:21:09 2012 -0700

    Hide clutter_input_device_wayland and clutter_stage_wayland types
    
    By prefixing them with an underscore, so they don't get exported as part
    of public ABI.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

 clutter/wayland/clutter-input-device-wayland.c | 3 +++
 clutter/wayland/clutter-input-device-wayland.h | 4 ++--
 clutter/wayland/clutter-stage-wayland.c        | 2 ++
 clutter/wayland/clutter-stage-wayland.h        | 4 ++--
 4 files changed, 9 insertions(+), 4 deletions(-)

commit 978202aa49fc7a16bec4438a95466d6071c9dfb1
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Sep 18 10:49:00 2012 +1000

    Wayland: Set default font DPI to 96
    
    Otherwise the units test fails, since the default DPI is set to -1.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

 clutter/wayland/clutter-backend-wayland.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1c7a740385abf4abed9dce162797653331f93615
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 30 15:08:43 2012 -0700

    Wayland: Add key repeat
    
    Add support for repeating keys to the Wayland input backend.
    Unfortunately the repeat delay/interval is hardcoded into the Clutter
    backend, as Wayland doesn't yet tell clients what the global values
    should be.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

 clutter/wayland/clutter-input-device-wayland.c | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 clutter/wayland/clutter-input-device-wayland.h |  5 +++++
 2 files changed, 63 insertions(+)

commit 8f4e39b6d716876bdd386c832ede3a33bc76c042
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Aug 24 01:16:25 2012 +0200

    Port to new Wayland and xkbcommon APIs
    
    For Wayland, this is mostly the input protocol having changed, although
    there's also the SHM pool API, the cursor API, as well as fullscreen and
    ping.
    
    Also port to the new (months-old) xkbcommon API, as used by Weston 0.95.
    This involves having xkbcommon manage the state for us, where
    appropriate.  Fans of multi-layout keyboards (or just caps lock) will no
    doubt appreciate these changes.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

 clutter/evdev/clutter-device-manager-evdev.c     |   9 +++--
 clutter/evdev/clutter-xkb-utils.c                | 124 ++++++++++++++++++++-------------------------------------
 clutter/evdev/clutter-xkb-utils.h                |   7 ++--
 clutter/wayland/clutter-backend-wayland.c        |  30 ++++++++------
 clutter/wayland/clutter-backend-wayland.h        |   1 +
 clutter/wayland/clutter-device-manager-wayland.c |  24 +++---------
 clutter/wayland/clutter-input-device-wayland.c   | 394 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------
 clutter/wayland/clutter-input-device-wayland.h   |  11 +++---
 clutter/wayland/clutter-stage-wayland.c          |  23 ++++++++++-
 clutter/wayland/clutter-wayland.h                |   2 +-
 10 files changed, 394 insertions(+), 231 deletions(-)

commit a158d66abb76315277f171ef3ba656b08cc257a4
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 23 14:16:16 2012 +0200

    EGL: Include cogl-egl.h for prototypes
    
    Looks like we need to include this directly, but also need to include
    cogl/cogl.h to get COGL_HAS_EGL_SUPPORT, since cogl-egl.h doesn't
    include cogl-defines.h first.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

 clutter/egl/clutter-backend-eglnative.h | 2 ++
 1 file changed, 2 insertions(+)

commit 13d889814c410ed7f0ead8e9fac4b6086b9f2f8e
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Sep 18 10:31:01 2012 +1000

    test: Only run X11-specific code when using X11
    
    The X11-specific windowing checks were hidden behind an #ifdef, however
    if the tests were run under Wayland, they would execute uncondionally
    and cause assertion failures.  Fix this by also hiding them behind a
    check that the current backend is indeed X11.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

 tests/conform/test-conform-common.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 4731a3c47c91d544d7f1ef522a8db2e7d019cccf
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Thu Oct 11 03:55:54 2012 +0200

    Updated German translation

 po/de.po | 412 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------------------------------------
 1 file changed, 228 insertions(+), 184 deletions(-)

commit 1eaa57788347e4271e96b7a1972f323fe859e02b
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Fri Oct 5 12:21:10 2012 +0200

    gesture-action: Make _cancel() callable after the gesture has started
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685554

 clutter/clutter-gesture-action.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 318d0d596509a5eb2fb74f02c85b52b416e9891d
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Fri Oct 5 14:34:20 2012 +0200

    events: Deliver touch events that continue off stage (soft grab)
    
    If a button press happen on stage and the pointer is moved outside
    the stage while holding the mouse button, the motion and release
    events are still delivered to actors. Do the same X11 soft grab
    emulation for touch events.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685589

 clutter/clutter-main.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit cb4620d14f7188bfe57c6354b873f180df36400f
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Fri Sep 28 08:20:31 2012 +0000

    version: Add 1.14 version macros
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685028

 clutter/clutter-macros.h     | 14 ++++++++++++++
 clutter/clutter-version.h.in | 10 ++++++++++
 2 files changed, 24 insertions(+)

commit 36c2343001e311df47452d89557571ea250db4ef
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Mon Oct 8 11:08:20 2012 +0200

    actor: Place coordinate of the pivot point in the right pointer

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 834c18c3fdb876e400b49a97f02e031318c2c06b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 5 17:37:48 2012 +0100

    Post-branch version bump to 1.13.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0da0e5122e7526ada688beef22684bb0ed54a367
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Sep 26 09:45:46 2012 +0100

    main: Do not release the lock if it hasn't been acquired
    
    On various systems, trying to release a mutex that hasn't been acquired
    will result in a run-time error.
    
    In order to avoid this, we trylock() the Big Clutter Lock™ and
    immediately unlock() it, regardless of the result; if the lock was
    already acquired, trylock() will immediately fail, and we can release
    it; if the lock was not acquired, trylock() will succeed, and we can
    release the lock immediately.
    
    This is necessary to maintain binary compatibility and invariants for
    Clutter applications doing:
    
      clutter_init()
      clutter_threads_enter()
      ...
      clutter_main()
      ...
      clutter_threads_leave()
    
    instead of the correct:
    
      clutter_init()
      clutter_threads_enter()
      ...
      clutter_threads_leave()
      clutter_main()
      clutter_threads_enter()
      ...
      clutter_threads_leave()
    
    With Clutter ≥ 1.12, the idiomatic form is:
    
      clutter_init()
      ...
      clutter_main()
    
    given that the public Big Clutter Lock™ acquire/release API has been
    deprecated, and nobody should take the lock outside of Clutter itself.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679439

 clutter/clutter-main.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit bacda24534e6734aa5f1d364642fbab321efc632
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Oct 3 19:48:25 2012 +0200

    Updated Czech translation

 po/cs.po | 1878 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------------
 1 file changed, 1083 insertions(+), 795 deletions(-)

commit 092389132e56ae996c1255d9bdd5e2b0ec7ab5e4
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sat Sep 29 17:36:45 2012 +0200

    [l10n] Updated Italian translation.

 po/it.po | 2650 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------
 1 file changed, 1594 insertions(+), 1056 deletions(-)

commit ffbf3d47fcbd7bc6d66bdfd1e0b639135dea0540
Author: Nishio Futoshi <fut_nis@d3.dion.ne.jp>
Date:   Fri Sep 28 20:36:21 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 88 ++++++++++++++++++++++++++++------------------------------------------------------------
 1 file changed, 28 insertions(+), 60 deletions(-)

commit a87fd7aae4421771bb412fc4e2aab2def07fd6b8
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 28 18:59:27 2012 +0800

    Update Visual C++ projects
    
    -Make things a bit cleaner by generating clutter.def in the intermediate
     build folder
    -Fix the include paths as config.h is now in clutter/
    -Make things a little bit more consistent between vs9 and vs10 in terms of
     the "install" stage

 build/win32/vs10/clutter.props                    |  17 +++++++---
 build/win32/vs10/clutter.vcxprojin                |  16 +++++-----
 build/win32/vs9/clutter.vcprojin                  |  16 +++++-----
 build/win32/vs9/clutter.vsprops                   | 318 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------------------------------
 build/win32/vs9/test-conformance-clutter.vcprojin |   4 ---
 5 files changed, 191 insertions(+), 180 deletions(-)

commit 696f1afc041cdc76293931cf90fee99f8a0aecd2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Sep 25 09:05:39 2012 +0100

    actor: Fix transform-set condition
    
    The :transform-set property is set if the matrix in :transform is not
    the identity matrix.

 clutter/clutter-actor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21b32dbe7ad1f9254346c8fa6938d9999caae051
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Mon Sep 24 23:25:05 2012 +0300

    Updated Latvian translation

 po/lv.po | 1932 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------------------------------------------
 1 file changed, 1087 insertions(+), 845 deletions(-)

commit ab011c44ac6be7670e76559b83ea0833d6610c13
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Sep 24 17:46:10 2012 +0100

    Post-release version bump to 1.12.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
